Bug 457247 - Review Request: sugar-terminal -- Terminal activity for sugar
Summary: Review Request: sugar-terminal -- Terminal activity for sugar
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-30 14:40 UTC by Jeremy Katz
Modified: 2010-06-18 15:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-03 20:41:46 UTC
Type: ---
robin.norwood: fedora-review+


Attachments (Terms of Use)

Comment 1 Robin Norwood 2008-08-08 16:30:14 UTC
- rpmlint is very noisy:
sugar-terminal.src: W: non-standard-group Sugar/Activities

* Sugar/Activities should probably be added to the standard groups list.
* Filed https://bugzilla.redhat.com/show_bug.cgi?id=458460 to get this done.

sugar-terminal.noarch: E: non-executable-script /usr/share/sugar/activities/Terminal.activity/setup.py 0644

* Probably just patch out the shebang line or make it non-executable
  since this shouldn't be needed at runtime.

sugar-terminal.noarch: W: file-not-in-%lang /usr/share/sugar/activities/Terminal.activity/locale/af/LC_MESSAGES/org.laptop.Terminal.mo
(...lots more...)

* Ongoing discussion as to what to do about this on fedora-olpc-list.
  No point in blocking the review, we'll just fix it when the proper
  course of action is decided.


- Package naming is fine
- License is fine
- Source matches upstream (git checkout of a tag)
- Spec file is fine
- File list is fine (except for translations)


APPROVED (Once you fix the rpmlint error)

Comment 2 Jeremy Katz 2008-08-11 18:30:10 UTC
The setup.py thing needs to be fixed in the sugar BundleBuilder so that we avoid proliferating noise into every spec file.  Started a discussion about that also.  Since if we're going to be packaging a number of activities, we should be doing it in a way that doesn't involve a lot of cut and paste boiler-plate "work around the system" types of things.

Will hold off on cvs request (and filing the other review tickets I've got) until we get a little bit of somewhere on the two issues

Comment 3 Jeremy Katz 2008-09-02 17:05:54 UTC
Okay, with the fixes in sugar-toolkit-0.82.5-2, things work nicely now

New Package CVS Request
=======================
Package Name: sugar-terminal
Short Description: Terminal activity for sugar
Owners: katzj
Branches: devel

Comment 4 Robin Norwood 2008-09-02 17:31:55 UTC
btw, I don't mind to be listed as co-maintainer (rnorwood) for any of these activity packages if you like.

Comment 5 Kevin Fenzi 2008-09-03 20:24:02 UTC
cvs done.

Comment 6 Jeremy Katz 2008-09-03 20:41:46 UTC
And building

Comment 7 Peter Robinson 2010-06-10 20:50:45 UTC
Package Change Request
======================
Package Name: sugar-terminal
New Branches: EL-6
Owners: pbrobinson sdz

Comment 8 Kevin Fenzi 2010-06-11 04:34:44 UTC
Have you checked with tuxbrewr to see if he would like to maintain this in EPEL?


Note You need to log in before you can comment on or make changes to this bug.